%
% anyremote configuration file for amarok management.
%

% STATUS stable
% XTEST no
% SOUND app
% ENV no

GuiAppName=Amarok
GuiAppBinary=amarok
GuiAppRun=echo 'A=`dcop 2> /dev/null|grep amarok`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=amarok.png
GuiAppType=Application
GuiAppProtocols=AT
GuiAppDesc=Amarok is the music player for Linux and Unix with an intuitive interface. Amarok makes playing the music you love easier than ever before - and looks good doing it. This configuration file is for Amarok/KDE3.
GuiAppVersion=echo 'V=`amarok -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x3" ]; then echo OK; else echo NOK; fi'|bash -f -s

[Protocol]=AT

Answer=SendCKPD(E);Make(disconnect);
Cancel=Exec(dcop amarok MainApplication-Interface quit);SendCKPD(E);

(Init)=Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Make(var,Device,by_value,/dev/rfcomm0);\
	Exec(echo 'V=`amarok -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x4" ]; then $(CfgDir)/Utils/message.sh "ERROR: this configuration file is for KDE3"; fi'|bash -f -s);

(Connect)=Exec(echo 'A=`dcop|grep amarok`; if [ "x$A" == "x" ]; then amarok 2> /dev/null; fi' | bash -f -s);\
	Make(var,am_volume,dcop amarok player getVolume);\

1=Exec(dcop amarok player volumeDown) 
%2=Exec(dcop amarok player mute) -- only mutes with amarok 1.4.8
2=Make(var,am_volume,echo 'if [ "x$(am_volume)" == "x-1" ]; then dcop amarok player getVolume;dcop amarok player setVolume 0; else dcop amarok player setVolume $(am_volume); echo "-1"; fi;'|bash -f -s)
3=Exec(dcop amarok player volumeUp) 

4=Exec(dcop amarok player seekRelative -10) 
5=Exec(dcop amarok player play) 
6=Exec(dcop amarok player seekRelative 10)
 
7=Exec(dcop amarok player prev) 
8=Exec(dcop amarok player stop) 
9=Exec(dcop amarok player next)

* *=Exec(echo 'F="$HOME/.anyRemote/anyrem.hlp";echo "1 - Vol- 2 - Mute  3 - Vol+" > $F;echo "4 - Rew  5 - Play  6 - FF" >> $F;echo "7 - Prew 8 - Stop  9 - Next" >> $F;echo "* * Help 0 - Pause # - Quit" >> $F;kdialog -passivepopup "`cat $F`" 7' |bash -f -s)
* #=Exec(echo 'P=`dcop|grep amarok`; if [ "x$P" == "x" ]; then amarok 2> /dev/null; else dcop amarok MainApplication-Interface quit; fi'|bash -f -s);
0=Exec(dcop amarok player pause) 
#=Exec(dcop amarok MainApplication-Interface quit)  

CHANNELUP=Macro(9)
CHANNELDOWN=Macro(7)
ZOOM=Macro(5)

[End]
